| Home | Libraries | People | FAQ | More

## Function template time_from_ftime

boost::date_time::time_from_ftime — Create a time object from an initialized FILETIME struct.

## Synopsis

    // In header: <boost/date_time/filetime_functions.hpp>

    template<typename TimeT, typename FileTimeT>
      TimeT time_from_ftime(const FileTimeT & ft);

## Description

Create a time object from an initialized FILETIME struct. A FILETIME struct holds 100-nanosecond units (0.0000001). When built with microsecond resolution the file_time's sub second value will be truncated. Nanosecond resolution has no truncation.

Notes: | The function is templated on the FILETIME type, so that it can be used with both native FILETIME and the ad-hoc boost::date_time::winapi::file_time type.